:root {
    --black: #323232;
    --brand-primary-blue: #002c7d;
    --brand-secondary-blue: #2364DB;
    --box-shadow: rgb(13 110 253 / 25%);
}
/* @media (min-width: 768px) {
  body {
    background-color: #fafafa;
  }
} */
body, .tooltip, .popover {
    font-family: 'OpenSansHebrew', sans-serif;
    font-size: 14px;
}

.popover {
    border-color: var(--box-shadow);
}

.popover-body {
    font-size: .775rem;
}

.bs-popover-auto[data-popper-placement^=bottom] > .popover-arrow::before, .bs-popover-bottom > .popover-arrow::before {
    border-bottom-color: var(--box-shadow);
}

.list-group-item.active {
    background-color: var(--brand-secondary-blue);
    border-color: var(--brand-secondary-blue);
}

a, .btn-link {
    color: #2d57a6;
    text-decoration: none;
}

    a:hover, a:focus,
    .btn-link:hover, .btn-link:focus {
        color: #203e77;
        text-decoration: underline;
    }

@media (max-width: 767px) {
    body {
        font-size: 13px;
    }
}

h2, h3 {
    color: var(--brand-primary-blue);
}

.form-check-input:checked {
    background-color: var(--brand-secondary-blue);
    border-color: var(--brand-secondary-blue);
}

    .form-check-input:checked[type=checkbox] {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%232364DB' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e");
        background-color: #ffffff;
    }

    .form-check-input:checked[type=radio] {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%232364DB' stroke='%23fff' stroke-width='2' /%3e%3c/svg%3e");
    }

h2 {
    margin-top: 1.5em;
    margin-bottom: 1em;
}

@media (max-width: 767px) {
    h2 {
        margin-top: 1em;
        font-size: 22px;
    }
}

.courses-filter {
    background-color: #f5f9ff;
    border-radius: 8px;
    padding: 32px 24px;
    position: relative;
    margin-bottom: 32px;
}

    .courses-filter .clean-button {
        position: absolute;
        top: 28px;
        left: 15px;
    }

    .courses-filter legend {
        font-size: 13px;
        font-weight: 600;
        color: rgb(50 50 50 / 85%);
    }

    .courses-filter hr {
        opacity: .15;
        color: #0d6efd;
        border-top-width: 1px;
    }

    .courses-filter .form-control,
    .courses-filter .form-check-input,
    .courses-filter .multi-select .multi-select-header,
    .courses-card .course-preferences .form-check-input:not(:checked)[type=checkbox] {
        border-color: var(--box-shadow);
    }

        .courses-filter .multi-select .multi-select-header .multi-select-header-option {
            background-color: rgb(13 110 253 / 10%);
        }

    .courses-filter h3 {
        font-size: 18px;
        margin-bottom: 24px;
    }

    .courses-filter .form-control-lg {
        font-size: 1rem;
        min-height: 45px;
        background-image: url(../images/search-ou-2018.svg);
        background-repeat: no-repeat;
        background-size: 22px;
        background-position: 15px center;
        padding-left: 42px;
    }

        .courses-filter .form-control-lg::placeholder {
            color: #65727e;
        }

@media (min-width: 768px) {
    .courses-filter {
        height: 100vh;
    }

        .courses-filter #coursesFilterCollapse {
            display: block !important;
            height: auto !important;
            opacity: 1 !important;
        }

        .courses-filter .navbar-toggler {
            display: none !important;
        }
}

.courses-card {
    box-shadow: 0 1px 6px var(--box-shadow);
    border-radius: 8px;
    margin-bottom: 32px;
    padding: 32px 24px;
    background-color: #ffffff;
}

    .courses-card h3 {
        font-size: 18px;
    }

    .courses-card .course-preferences {
        background-color: #f5f9ff;
        padding: 12px 12px 8px 12px;
        border-radius: 8px;
    }

        .courses-card .course-preferences i {
            color: var(--brand-secondary-blue);
            line-height: 1.2;
        }

        .courses-card .course-preferences .vr {
            height: 22px;
            background-color: rgb(13 110 253);
            opacity: .2;
        }

        .courses-card .course-preferences .form-check {
            margin-top: .125rem;
        }

@media (max-width: 767px) {
    .courses-card,
    .courses-filter {
        box-shadow: none;
        border-radius: 0;
        margin-right: -12px;
        margin-left: -12px;
        padding: 12px 24px;
        margin-bottom: 12px;
    }

        .courses-card h3 {
            font-size: 16px;
        }

        .courses-filter h3 {
            font-size: 16px;
            margin-bottom: 12px;
        }

        .courses-filter .clean-button {
            top: 6px;
        }

        .courses-card .course-preferences {
            border-radius: 0;
            margin-top: -24px;
            margin-right: -24px;
            margin-left: -24px;
            padding-right: 24px;
            padding-left: 24px;
        }

            .courses-card .course-preferences .form-check.form-check-inline {
                flex-grow: 1;
                flex-basis: 45%;
                margin-bottom: .225rem;
                margin-top: .225rem;
            }

        .courses-filter .navbar-toggler {
            color: var(--brand-primary-blue);
            margin-top: 12px;
        }

            .courses-filter .navbar-toggler[aria-expanded="true"] i::before {
                content: "\f056";
            }

        .courses-filter .navbar-collapse {
            padding: 12px;
            background-color: #fff;
            border-radius: 8px;
            margin-top: 12px;
        }
}
/* responsive accessible table */
.resp-access-table {
    display: flex;
    flex-direction: column;
    margin-top: 16px;
}

    .resp-access-table div[role="columnheader"],
    .resp-access-table div[role="rowheader"],
    .resp-access-table div[role="cell"],
    .resp-access-table .resp-access-table-row > div.mobile-visible-arrow,
    .resp-access-table .resp-access-table-row > div.registration {
        padding: 1em .8em .8em;
    }

    .resp-access-table > .resp-access-table-row:not(:last-child) {
        border-bottom: solid 1px rgb(13 110 253 / 15%);
    }

    .resp-access-table > .resp-access-table-row:first-child {
        border-bottom-width: 2px;
    }

    .resp-access-table div[role="columnheader"] {
        font-size: 13px;
        font-weight: 600;
        color: rgb(50 50 50 / 85%);
    }

    .resp-access-table .resp-access-table-row {
        display: flex;
        align-items: center;
        justify-content: center;
    }

@media (min-width: 768px) {
    .resp-access-table .resp-access-table-row > div:not([role="columnheader"]) {
        display: flex;
    }
}

.resp-access-table .resp-access-table-row > div {
    flex: 1 0 25%; /* 4 distributed columns */
    align-items: flex-start;
}

    .resp-access-table .resp-access-table-row > div.course {
        flex-direction: column;
    }

        .resp-access-table .resp-access-table-row > div.course .badge {
            padding: .44em 1.2em .3em;
            margin-top: 4px;
            margin-right: 4px;
            border-radius: 1em;
            color: #c01769;
            border: 1px solid #f7e3ed;
            font-weight: 400;
            background-color: #fff6fa;
        }

            .resp-access-table .resp-access-table-row > div.course .badge.gray {
                background-color: #f7f7f7;
                color: #252525;
                border-color: #ecebeb;
            }

    .resp-access-table .resp-access-table-row > div.registration {
        align-items: center;
    }

    .resp-access-table .resp-access-table-row > div.preferences i {
        color: var(--brand-secondary-blue);
        line-height: 1.2;
    }

    .resp-access-table .resp-access-table-row > div.registration button,
    .resp-access-table .resp-access-table-row > div.registration a {
        flex-basis: 100%;
        border-top-right-radius: 8px;
        border-bottom-left-radius: 8px;
        border-top-left-radius: 0;
        border-bottom-right-radius: 0;
        color: #ffffff;
        background-color: var(--brand-secondary-blue);
        border-color: var(--brand-secondary-blue);
    }

        .resp-access-table .resp-access-table-row > div.registration button:hover,
        .resp-access-table .resp-access-table-row > div.registration button:focus,
        .resp-access-table .resp-access-table-row > div.registration button:active,
        .resp-access-table .resp-access-table-row > div.registration a:hover,
        .resp-access-table .resp-access-table-row > div.registration a:focus,
        .resp-access-table .resp-access-table-row > div.registration a:active {
            color: var(--brand-secondary-blue);
            background-color: #ffffff;
            text-decoration: none;
        }

    .resp-access-table .resp-access-table-row > div.w-12 {
        flex-basis: 12%; /* 8 distributed columns */
    }

    .resp-access-table .resp-access-table-row > div.w-38 {
        flex-basis: 38%;
    }

    .resp-access-table .resp-access-table-row > div.w-10 {
        flex-basis: 10%;
    }

    .resp-access-table .resp-access-table-row > div.w-8 {
        flex-basis: 8%;
    }

    .resp-access-table .resp-access-table-row > div.w-4 {
        flex-basis: 4%;
    }

    .resp-access-table .resp-access-table-row > div.points {
        justify-content: center;
    }

    .resp-access-table .resp-access-table-row > div.semester {
        flex-wrap: wrap;
    }

        .resp-access-table .resp-access-table-row > div.semester span:not(:last-child)::after {
            content: ',\00a0';
        }

@media (max-width: 767px) {
    .resp-access-table {
        margin-right: -24px;
        margin-left: -24px;
        margin-top: 12px;
    }

        .resp-access-table .resp-access-table-row {
            flex-wrap: wrap;
            position: relative;
        }

            .resp-access-table .resp-access-table-row > div {
                padding: 1.2em 24px 1em 60px;
            }

                .resp-access-table .resp-access-table-row > div.course {
                    flex: 1 0 33%;
                    align-items: baseline;
                }

                    .resp-access-table .resp-access-table-row > div.course a {
                        padding-left: 8px;
                    }

                    .resp-access-table .resp-access-table-row > div.course span.label {
                        border-radius: 8px;
                        font-weight: 400;
                    }

                .resp-access-table .resp-access-table-row > div.mobile-w-100 {
                    flex-basis: 100%;
                }

                .resp-access-table .resp-access-table-row > div.mobile-visible-arrow {
                    position: absolute;
                    left: 0;
                    top: -7px;
                }

        .resp-access-table > .resp-access-table-row > div[role="cell"].mobile-w-100::before {
            content: ' 'attr(data-columnheader)': ';
            display: inline-block;
            padding-left: 8px;
            font-weight: 600;
        }

        .resp-access-table .resp-access-table-row .mobile-visible-arrow ~ .mobile-w-100 {
            padding-top: 0;
            font-size: .9em;
        }

        .resp-access-table .mobile-visible-arrow button i {
            color: #002c7d;
            transition: transform 0.2s ease;
        }

        .resp-access-table .mobile-visible-arrow button[aria-expanded="true"] i {
            transform: rotate(180deg);
        }

        .resp-access-table .resp-access-table-row > div.registration {
            padding-bottom: 1.8em;
            padding-right: 24px;
            margin-top: 8px;
        }

            .resp-access-table .resp-access-table-row > div.registration button,
            .resp-access-table .resp-access-table-row > div.registration a {
                padding-left: 32px;
                padding-right: 32px;
            }
}

/* .courses-card.courses-card-default {
  background: linear-gradient(-45deg, rgba(238, 119, 82, .2), rgba(231, 60, 126, .2), #ffffff, rgb(35, 166, 213, .2), rgba(35, 213, 171, .2), #ffffff);
  background-size: 400% 400%;
  animation: gradientShift 15s ease infinite;
}
@keyframes gradientShift {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
} */
.courses-card.courses-card-default {
    padding: 24px;
    padding-top: 32px;
}

    .courses-card.courses-card-default h3 {
        color: var(--black);
    }

    .courses-card.courses-card-default > div {
        margin-top: 24px;
        padding: 12px 0;
    }

        .courses-card.courses-card-default > div i {
            margin-left: 20px;
            --fa-secondary-color: #ff007b;
        }

        .courses-card.courses-card-default > div h5 {
            font-size: 1rem;
        }

        .courses-card.courses-card-default > div p {
            margin-bottom: 0;
        }

    .courses-card.courses-card-default hr {
        opacity: .15;
        color: #0d6efd;
    }

@media (max-width: 767px) {
    .courses-card.courses-card-default > div {
        margin-top: 12px;
    }
}
